Package com.avaya.clientservices.user

## Enum UserAdminChangeType

- java.lang.Object
- - java.lang.Enum<UserAdminChangeType>
  - - com.avaya.clientservices.user.UserAdminChangeType

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<UserAdminChangeType>`

      public enum UserAdminChangeType
      extends java.lang.Enum<UserAdminChangeType>

  indicate what type of data should be reloaded.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `BUTTON_DATA_CHANGED` |
    `CALL_HISTORY_DATA_CHANGED` |
    `CONTACT_DATA_CHANGED` |
    `LOCATION_DATA_CHANGED` |
    `MAINTENANCE_DATA_CHANGED` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static UserAdminChangeType` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static UserAdminChangeType[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### LOCATION_DATA_CHANGED

          public static final UserAdminChangeType LOCATION_DATA_CHANGED

    - #### BUTTON_DATA_CHANGED

          public static final UserAdminChangeType BUTTON_DATA_CHANGED

    - #### CONTACT_DATA_CHANGED

          public static final UserAdminChangeType CONTACT_DATA_CHANGED

    - #### MAINTENANCE_DATA_CHANGED

          public static final UserAdminChangeType MAINTENANCE_DATA_CHANGED

    - #### CALL_HISTORY_DATA_CHANGED

          public static final UserAdminChangeType CALL_HISTORY_DATA_CHANGED

  - ### Method Detail

    - #### values

          public static UserAdminChangeType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (UserAdminChangeType c : UserAdminChangeType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static UserAdminChangeType valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null